OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.GL.PixelFormat

Description

This is a purely internal module for (un-)marshaling PixelFormat.

# Documentation

data PixelFormat

Constructors

ColorIndex |
StencilIndex |
DepthComponent |
DepthStencil |
Red |
Green |
Blue |
Alpha |
RG |
RGB |
RGBA |
Luminance |
LuminanceAlpha |
RedInteger |
GreenInteger |
BlueInteger |
AlphaInteger |
RGInteger |
RGBInteger |
RGBAInteger |
BGRInteger |
BGRAInteger |
ABGR |
BGR |
BGRA |
CMYK |
CMYKA |
FourTwoTwo |
FourTwoTwoRev |
FourTwoTwoAverage |
FourTwoTwoRevAverage |
YCBCR422 |

Instances

Eq PixelFormat |
Ord PixelFormat |
Show PixelFormat |

marshalPixelFormat :: PixelFormat -> GLenum

unmarshalPixelFormat :: GLenum -> PixelFormat